#include <string>
#include <iostream>

enum struct SolverType {
  CHOLESKI=1,CG=2,GMRES=3,LU=4
};

int main(int argc, char* argv[]) {

  int sType;
  std::cout << "Select a solver"       << std::endl
            << "1. Choleski"           << std::endl
            << "2. Conjugate Gradient" << std::endl
            << ">";
  std::cin  >> sType;

  switch (SolverType(sType)) {

    case SolverType::CHOLESKI:
      std::cout << "Choleski method will be used" << std::endl;
      break;
    case SolverType::CG:
      std::cout << "CG method will be used" << std::endl;
      break;
    default:
      std::cerr << "Not a valid method" << std::endl;
      return 1;
  }

  return 0;

}

